#!/usr/bin/env python
"""Defines classes used by the schematic processor.

Author:  Tim Whiteaker
    
"""

class Link:
    """Represents a schematic link.

    Attributes:
        id -- unique identifier for the schematic link
        from_node_id -- unique identifier of the from node for the link
        
    """

    def __init__(self, id, from_node_id):
        self.id = id
        self.from_node_id = from_node_id


class ValueTuple:
    """Represents a value to process along with ancillary information.

    Attributes:
        value -- numerical value to process
        source_class -- class containing the feature providing the value
        feature_id -- unique identifier of the feature providing
                      the value
        
    """

    def __init__(self, value, source_class, feature_id):
        self.value = value
        self.source_class = source_class
        self.feature_id = feature_id
    
