#!/usr/bin/env python
"""Accumulation processing op for ArcGIS 10 schematic processor tool."""

from decimal import Decimal

def process_values(row, input_values):
    """Performs simple addition on input values.

    Arguments:
        row -- input row representing schematic feature
        input_values -- list of ValueTuple objects
    Remarks:
        ValueTuple objects have these attributes:
        value -- numerical value to process
        source_class -- class containing the feature providing the value
        feature_id -- unique identifier of the feature providing
                      the value    
                          
    """

    return sum(Decimal(str(value_tuple.value)) for value_tuple in input_values)
